# Lefthook configuration. For more information, see:
# https://github.com/Arkweid/lefthook/blob/master/docs/full_guide.md

pre-push:
  parallel: true
  commands:
    rubocop:
      files: git diff --name-only --diff-filter=d $(git merge-base origin/master HEAD)..HEAD
      glob: '*.{rb,rake}'
      run: bundle exec rubocop {files}
    rspec:
      files: git diff --name-only --diff-filter=d $(git merge-base origin/master HEAD)..HEAD
      glob: '*.{rb,rake}'
      run: bundle exec rspec {files}
